On Friday 08 May 2015 14:08:01 Sebastiaan Couwenberg wrote:
> Hi Lisandro,
> 
> Thanks for looking into the OpenGL issue on arm{el,hf}.

My pleasure!

> On 05/08/2015 01:24 AM, Lisandro Damián Nicanor Pérez Meyer wrote:
> > On Wednesday 06 May 2015 15:45:27 Sebastiaan Couwenberg wrote:
> >> The first revision is available in experimental, but it fails to
> >> build on armel & armhf due to an OpenGL issue that the other
> >> architectures don't suffer from.
> >> 
> >> I've haven't had the time to reproduce the issue on a porterbox,
> >> hopefully it specific to the package mix in experimental and
> >> doesn't affect unstable, so we can get the Qt5 port of
> >> qlandkartegt in unstable soon.
> > 
> > Hi Bas! I checked the code and the problem is that GLU
> > (<OpenGL/glu.h>) is not supported/does not supports OpenGL ES,
> > which is the native OpenGL mode on those two archs.
> > 
> > In this case let me recommend you to limit qlandkartegt to build on
> > !armel !armhf and ask for the binaries to be removed on those archs
> > when you push the package to unstable.
> > 
> > Of course a much better solution is to port the code away from Glu,
> > but that requires more manpower :-/ . On the other hand porting the
> > code means it will be possible to run it on quite more embedded
> > devices in a native (non software emulated) way.
> 
> I don't quite understand why this issue pops up with Qt5 only.
> 
> Does Qt5 not use OpenGL on arm{el,hf} where Qt4 does?

Right, Qt 5 uses OpenGL *ES* on those archs because it's the native approach 
on them.

**warning:** I don't have the full details clear in my mind, so I might be 
imprecise, but the net result being the same.

As far as I understand on those archs OpenGL ES is the OpenGL flavour that the 
hardware supports. So compiling Qt5 using it meant a faster Qt5 (and Qt5 uses 
a lot of OpenGL if available either by hardware or software emulation).

The downside of this is that some parts of the "old" OpenGL like GLU have 
never been ported, and so they can't run there.

Qt4 on the other hand...

> libqt4-opengl-dev used to pull in the opengl dependencies:
> 
>  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev

...used libglu1-mesa which, AFAIU, was emulated on software (and thus too 
slow) on those archs.

So basically CMake is failing for the right reasons, it's not finding OpenGL 
support but OpenGL ES.

Hope that helps, Lisandro.

-- 
8: Si un archivo ha pasado a la "Papelera de Reciclaje"
    * Ud tiene una carpeta llamada "Papelera de Reciclaje"
    Damian Nadales
    http://mx.grulic.org.ar/lurker/message/20080307.141449.a70fb2fc.es.html

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/

Attachment: signature.asc
Description: This is a digitally signed message part.

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to